
# Code of Conduct

## Our Pledge

In the interest of fostering an open and welcoming environment, we, as contributors and maintainers, solemnly pledge to make participation in our project and our community an experience that is free from any form of harassment or discrimination. We are dedicated to creating an inclusive space where individuals of all backgrounds, regardless of age, body size, disability, ethnicity, sex characteristics, gender identity and expression, level of experience, education, socio-economic status, nationality, personal appearance, race, religion, or sexual identity and orientation, feel valued, respected, and safe.

## Our Standards

We uphold the highest standards of conduct to cultivate a positive environment for collaboration and interaction. We encourage behaviors that contribute to the well-being of our community, including:

* Demonstrating a commitment to inclusive language that welcomes and embraces diversity
* Respecting and considering different viewpoints and experiences with an open mind
* Accepting constructive criticism gracefully, recognizing it as an opportunity for growth
* Prioritizing the best interests of the community as a whole
* Displaying empathy and understanding towards fellow community members

We firmly believe that unacceptable behavior has no place in our community. Examples of such behavior include, but are not limited to:

* Engaging in or promoting the use of sexualized language or imagery, as well as unwelcome sexual attention or advances
* Engaging in trolling, making derogatory or insulting comments, or launching personal or political attacks
* Harassing individuals publicly or privately, causing emotional distress or discomfort
* Publishing or distributing others' private information, such as physical or electronic addresses, without explicit consent
* Engaging in any other conduct that may reasonably be considered inappropriate within a professional setting

## Our Responsibilities

As project maintainers, it is our duty to establish and clarify the standards of acceptable behavior. We are committed to taking appropriate and fair corrective measures in response to any instances of unacceptable behavior. 

We hold the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and any other contributions that do not align with this Code of Conduct. We may also impose temporary or permanent bans on any contributor who exhibits behaviors that we deem inappropriate, threatening, offensive, or harmful to the well-being of our community.

## Scope

This Code of Conduct applies to all spaces associated with our project, including project-specific spaces, as well as public spaces, where an individual is representing the project or its community. Representation may include, but is not limited to, using an official project email address, posting through an official social media account, or acting as an appointed representative at online or offline events. Further details regarding the representation of our project may be defined and clarified by project maintainers.

## Enforcement

Instances of abusive, harassing, or otherwise unacceptable behavior should be reported to the project team by contacting us at `rsrudd@gmail.com`. All complaints will be treated with the utmost seriousness and will be thoroughly reviewed and investigated. We are committed to responding to each incident in a manner that is deemed necessary and appropriate based on the circumstances. Confidentiality will be maintained by the project team with respect to the reporter of an incident. Specific details regarding the enforcement policies may be made available separately.

Project maintainers who fail to adhere to or enforce the Code of Conduct in good faith may face temporary or permanent consequences, as determined by other members of the project's leadership.

## Attribution

This Code of Conduct is adapted from the [Contributor Covenant][homepage], version 2.0, available at [https://www.contributor-covenant.org/version/2/0/code_of_conduct.html](https://www.contributor-covenant.org/version/2/0/code_of_conduct.html).

[homepage]: https://www.contributor-covenant.org
